Skip to content
Get started

List API keys for a circle

GET/api/circles/{id}/api-keys

Returns metadata for all API keys scoped to a circle. Caller must be the circle owner or an admin.

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
keys: optional array of object { id, createdAt, lastUsedAt, 2 more }
id: optional string
createdAt: optional string
formatdate-time
lastUsedAt: optional string
formatdate-time
name: optional string
prefix: optional string

List API keys for a circle

curl https://racks.cash/api/circles/$ID/api-keys
{
  "keys": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "lastUsedAt": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "prefix": "prefix"
    }
  ]
}
Returns Examples
{
  "keys": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "lastUsedAt": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "prefix": "prefix"
    }
  ]
}